Subject: Re: linking with cygwin1.dll
From: Earnie Boyd <[email-masked]>
To: Lissette Lemus del Cueto <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Wed, 19 May 1999 07:29:39 -0700 (PDT)

--- Lissette Lemus del Cueto <[email-masked]> wrote:
> Hi,
> 
>  I'm traying to build an .exe using Cygnus B20 release. I could compile
> my code but the program gave me the following runtime error:
> 
>  [main] C\..\mktree.exe 1321(0) handle exceptions: Exception:
> STATUS_ACCESS_VIOLATION
> 

Most often caused by illegal reference to memory.  In compiling use the -Wall
switch to get all warnings.  Don't ignore the messages dealing with pointers
they need to be resolved.  Also, don't reference memory location 0, it will
always cause the SIGSEGV error.

>  In FAQ i found that it's possible to add WIN32 API libraries with -l
> option. I've tried -lcygwin -ladvapi32 options but the same thing
> happend. 
> 

There is no need to add -lcygwin if you're linking properly.  Use gcc or c++ as
the front end to the linker as important switches from the specs file will be
passed to the linker.

>  Maybe I need some compile option or some flag for Cygnus? I can't find
> nothing in FAQ.
> 
>  Thanks you in advance

You're Welcome,
===
"Earnie Boyd" <mailto:[email-masked]>
CYGWIN RELATED HELP:
 DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
       DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
                <http://www.eGroups.com/list/gnu-win32/>
_____________________________________________________________
Do You Yahoo!?
Free instant messaging and more at http://messenger.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]